Bug 996069 - (kuser) Review Request: kuser - User Manager for KDE
Review Request: kuser - User Manager for KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kde-4.11
  Show dependency treegraph
 
Reported: 2013-08-12 07:00 EDT by Martin Bříza
Modified: 2013-09-15 19:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 06:48:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jgrulich: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Bříza 2013-08-12 07:00:16 EDT
Spec URL: http://mbriza.fedorapeople.org/kdeadmin/kuser.spec
SRPM URL: http://mbriza.fedorapeople.org/kdeadmin/kuser-4.10.97-1.fc19.src.rpm
Description: KUser is a tool for managing users and groups on your system.
Fedora Account System Username: mbriza
Comment 1 Jan Grulich 2013-08-15 09:36:07 EDT
License: probably missing GFDL license, add COPYING.GPL-2/3 and COPYING.DOC to %doc

Add → Provides: kdeadmin-kuser = %{version}-%{release}

Remove "4" from kdepimlibs4 and kdelibs4 in Requires, because these packages don't exist.

Better url for kuser is probably → https://projects.kde.org/projects/kde/kdeadmin/kuser
Comment 2 Kevin Kofler 2013-08-15 18:35:15 EDT
kdelibs4 exists as a virtual Provides and we recommend using this form because it makes sure you get a 4.x.x version and because it allows specifying >= some version without that pesky Epoch.

I don't see kdepimlibs4 being provided by kdepimlibs though, probably for historical reasons (there was no kdepimlibs3); it may make sense to add the versioned Provides in preparation for a kdepimlibs5 (but as long as the Provides is not there, it cannot be used).
Comment 3 Martin Bříza 2013-08-19 10:37:49 EDT
Spec URL: http://mbriza.fedorapeople.org/kdeadmin/kuser.spec
SRPM URL: http://mbriza.fedorapeople.org/kdeadmin/kuser-4.10.97-1.fc19.src.rpm

Updated:
fixed license
didn't add Provides: kdeadmin-kuser because there wasn't such subpackage
changed Requires: kdepimlibs4 to kdepimlibs until (and if) there's such package
also, some fixes as per what fedora-review and rpmlint suggested
Comment 4 Jan Grulich 2013-08-19 11:16:27 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in kuser
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2)", "GPL (v3)", "GPL (v2 or later)", "Unknown or generated". 1
     files have unknown license. Detailed output of licensecheck in
     /home/jgrulich/rpmbuild/996069-kuser/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: gtk-update-icon-cache is invoked when required
     Note: icons in kuser
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 133120 bytes in 8 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Jan Grulich <jgrulich@redhat.com> Found : Vendor:
     jgrulich
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kuser-4.10.97-1.fc20.i686.rpm
kuser.i686: W: obsolete-not-provided kdeadmin
kuser.i686: W: no-manual-page-for-binary kuser
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


Everything looks good from my point of view. Setting fedora-review flag to +.
Comment 5 Martin Bříza 2013-08-19 11:25:37 EDT
New Package SCM Request
=======================
Package Name: kuser
Short Description: User Manager for KDE
Owners: mbriza than rdieter kkofler ltinkl jgrulich dvratil
Branches: f18 f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-19 11:28:56 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.